<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns="http://maven.apache.org/ASSEMBLY/2.0.0"
          xsi:schemaLocation="http://maven.apache.org/ASSEMBLY/2.0.0 http://maven.apache.org/xsd/assembly-2.0.0.xsd">

    <!-- Identifiant de l'assemblage -->
    <id>archive-deploy</id>

    <!-- Les formats d'archive à générer -->
    <formats>
        <format>tar.gz</format>
        <format>zip</format>
    </formats>

    <!-- lib : dépendances + JAR activity-batch -->
    <dependencySets>
        <dependencySet>
            <outputDirectory>lib</outputDirectory>
            <scope>runtime</scope>
        </dependencySet>
    </dependencySets>

    <fileSets>
        <!-- Scripts shell de lancement -->
        <fileSet>
            <directory>src/data/scripts</directory>
            <outputDirectory>bin</outputDirectory>
            <!-- Droits UNIX sur les fichiers (-rwxr-x-rx) -->
            <fileMode>0755</fileMode>
        </fileSet>

        <!-- Fichiers de configuration -->
        <fileSet>
            <directory>src/data/conf</directory>
            <outputDirectory>conf</outputDirectory>
        </fileSet>
    </fileSets>
</assembly>